commit:     38875bd66cc93e71c65476a60c18ac6e0c77e9f9
Author:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  2 12:51:44 2018 +0000
Commit:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
CommitDate: Tue Oct  2 12:58:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38875bd6

sci-libs/libxc: initial import for sci overlay

Package-Manager: Portage-2.3.49, Repoman-2.3.10
Signed-off-by: Christoph Junghans <junghans <AT> gentoo.org>

 sci-libs/libxc/Manifest           |  3 +++
 sci-libs/libxc/libxc-2.1.3.ebuild | 56 +++++++++++++++++++++++++++++++++++++++
 sci-libs/libxc/libxc-2.2.3.ebuild | 56 +++++++++++++++++++++++++++++++++++++++
 sci-libs/libxc/libxc-3.0.0.ebuild | 56 +++++++++++++++++++++++++++++++++++++++
 sci-libs/libxc/metadata.xml       | 31 ++++++++++++++++++++++
 5 files changed, 202 insertions(+)

diff --git a/sci-libs/libxc/Manifest b/sci-libs/libxc/Manifest
new file mode 100644
index 00000000000..c019462953f
--- /dev/null
+++ b/sci-libs/libxc/Manifest
@@ -0,0 +1,3 @@
+DIST libxc-2.1.3.tar.gz 750044 BLAKE2B 
6d6bb348bd8f7e25d6a3857fc40f0d7d3a7fe22c0a0514ca9f0ca60aadd67fde65b6052bc04e076a6328841c7ebe154921937083b8e9e2b9e55a5bcf197d08d0
 SHA512 
6cc7e4cb9b6187d3f7be9bca0aa574a1e0807db47201bee271d651e23c34ff7f00590cbe2ab1a6c399735e55d088a27e5b3456af6df46817137b3e6857c1c221
+DIST libxc-2.2.3.tar.gz 734714 BLAKE2B 
c5c4c3aec3373b8b481de8ec1779366b6916899e0b77964cbde0e83904b351e009b14a3ff64e9f020640e6ebf68d78828615b8abf83a46fdf86ea16480083643
 SHA512 
bfcd88c1946e459227e9b1a32c513f0e68ae7a5497925ac6e692085542526ebad9fe2cd5722077c839c06dbaaceca601c7f615ee6936e638eb150a9d68278d5a
+DIST libxc-3.0.0.tar.gz 8388775 BLAKE2B 
e82a7310c583c39b6c2313668a5d3a3d5ae7bf71ad450e9ac6241d1601bf1bb429abf98787f7e0c3c252e881c381b895e277d18619b57c46f2f910d7e079941c
 SHA512 
42173341f917c2aed6954f76885d2a9149d7212d2525becf77072b9878753c28d752b5cf6b2c79c90a88d8aa033f0aa94fa9753eb67108e9325cee6919cece52

diff --git a/sci-libs/libxc/libxc-2.1.3.ebuild 
b/sci-libs/libxc/libxc-2.1.3.ebuild
new file mode 100644
index 00000000000..527f29e4691
--- /dev/null
+++ b/sci-libs/libxc/libxc-2.1.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils flag-o-matic fortran-2 multilib
+
+MY_P=${P//_/-}
+
+DESCRIPTION="A library of exchange-correlation functionals for use in DFT"
+HOMEPAGE="http://octopus-code.org/wiki/Libxc";
+SRC_URI="http://www.tddft.org/programs/octopus/download/${PN}/${P}.tar.gz";
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="fortran static-libs -test"
+
+S="${WORKDIR}"/${MY_P}
+
+pkg_setup() {
+       use fortran && fortran-2_pkg_setup
+}
+
+src_prepare() {
+       sed \
+               -e "s:${PN}.f90:${PN}.F90:g" \
+               -i src/Makefile.am || die
+       autotools-utils_src_prepare
+}
+
+src_configure() {
+       local myeconfargs=( $(use_enable fortran) )
+       autotools-utils_src_configure
+}
+
+## Upstream recommends not running the test suite because it requires
+## human expert interpretation to determine whether output is an error or
+## expected under certain circumstances. Nevertheless, experts might want the 
option.
+# The autotools src_test function modified not to die. Runs emake check in 
build directory.
+src_test() {
+       debug-print-function ${FUNCNAME} "$@"
+
+       _check_build_dir
+       pushd "${BUILD_DIR}" > /dev/null || die
+       make check || ewarn "Make check failed. See above for details."
+       einfo "emake check done"
+       popd > /dev/null || die
+}
+
+src_install() {
+       autotools-utils_src_install
+
+}

diff --git a/sci-libs/libxc/libxc-2.2.3.ebuild 
b/sci-libs/libxc/libxc-2.2.3.ebuild
new file mode 100644
index 00000000000..527f29e4691
--- /dev/null
+++ b/sci-libs/libxc/libxc-2.2.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils flag-o-matic fortran-2 multilib
+
+MY_P=${P//_/-}
+
+DESCRIPTION="A library of exchange-correlation functionals for use in DFT"
+HOMEPAGE="http://octopus-code.org/wiki/Libxc";
+SRC_URI="http://www.tddft.org/programs/octopus/download/${PN}/${P}.tar.gz";
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="fortran static-libs -test"
+
+S="${WORKDIR}"/${MY_P}
+
+pkg_setup() {
+       use fortran && fortran-2_pkg_setup
+}
+
+src_prepare() {
+       sed \
+               -e "s:${PN}.f90:${PN}.F90:g" \
+               -i src/Makefile.am || die
+       autotools-utils_src_prepare
+}
+
+src_configure() {
+       local myeconfargs=( $(use_enable fortran) )
+       autotools-utils_src_configure
+}
+
+## Upstream recommends not running the test suite because it requires
+## human expert interpretation to determine whether output is an error or
+## expected under certain circumstances. Nevertheless, experts might want the 
option.
+# The autotools src_test function modified not to die. Runs emake check in 
build directory.
+src_test() {
+       debug-print-function ${FUNCNAME} "$@"
+
+       _check_build_dir
+       pushd "${BUILD_DIR}" > /dev/null || die
+       make check || ewarn "Make check failed. See above for details."
+       einfo "emake check done"
+       popd > /dev/null || die
+}
+
+src_install() {
+       autotools-utils_src_install
+
+}

diff --git a/sci-libs/libxc/libxc-3.0.0.ebuild 
b/sci-libs/libxc/libxc-3.0.0.ebuild
new file mode 100644
index 00000000000..527f29e4691
--- /dev/null
+++ b/sci-libs/libxc/libxc-3.0.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils flag-o-matic fortran-2 multilib
+
+MY_P=${P//_/-}
+
+DESCRIPTION="A library of exchange-correlation functionals for use in DFT"
+HOMEPAGE="http://octopus-code.org/wiki/Libxc";
+SRC_URI="http://www.tddft.org/programs/octopus/download/${PN}/${P}.tar.gz";
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="fortran static-libs -test"
+
+S="${WORKDIR}"/${MY_P}
+
+pkg_setup() {
+       use fortran && fortran-2_pkg_setup
+}
+
+src_prepare() {
+       sed \
+               -e "s:${PN}.f90:${PN}.F90:g" \
+               -i src/Makefile.am || die
+       autotools-utils_src_prepare
+}
+
+src_configure() {
+       local myeconfargs=( $(use_enable fortran) )
+       autotools-utils_src_configure
+}
+
+## Upstream recommends not running the test suite because it requires
+## human expert interpretation to determine whether output is an error or
+## expected under certain circumstances. Nevertheless, experts might want the 
option.
+# The autotools src_test function modified not to die. Runs emake check in 
build directory.
+src_test() {
+       debug-print-function ${FUNCNAME} "$@"
+
+       _check_build_dir
+       pushd "${BUILD_DIR}" > /dev/null || die
+       make check || ewarn "Make check failed. See above for details."
+       einfo "emake check done"
+       popd > /dev/null || die
+}
+
+src_install() {
+       autotools-utils_src_install
+
+}

diff --git a/sci-libs/libxc/metadata.xml b/sci-libs/libxc/metadata.xml
new file mode 100644
index 00000000000..064923854d2
--- /dev/null
+++ b/sci-libs/libxc/metadata.xml
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Science Project</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Honza Macháček</name>
+       </maintainer>
+       <longdescription lang="en">
+Libxc is a library of exchange-correlation functionals for density-functional 
theory.
+The aim is to provide a portable, well tested and reliable set of exchange and 
correlation
+functionals that can be used by all the ETSF codes and also other codes.
+
+In Libxc you can find different types of functionals: LDA, GGA, hybrids, and 
mGGA (experimental).
+These functionals depend on local information, in the sense that the value of 
the potential
+at a given point depends only on the values of the density -- and the gradient 
of the density
+and the kinetic energy density, for the GGA and mGGA cases.
+
+It can calculate the functional itself and its derivative; for some 
functionals,
+higher-order derivatives are available.
+
+Libxc is written in C and has Fortran bindings. It is released under the LGPL 
license (v. 3.0).
+Contributions are welcome. 
+</longdescription>
+       <upstream>
+               <doc>http://octopus-code.org/wiki/Libxc:manual</doc>
+       </upstream>
+</pkgmetadata>

Reply via email to